export class Client {
  login(username, password) {
    console.log('Logging with', username)

    return fetch("/api/login", {
      method: 'POST',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify({ username, password })
    }).then(r => r.text()).then(token => {
      console.log("GOT TOKEN")
      localStorage.setItem('token', token)
    })
  }
}

const client = new Client()
export default client
